# Class CIM_CommonDatabase
extends CIM_EnabledLogicalElement

A database is a collection of interrelated data, treated as a unit, which is organized into one or more schemas. The CIM_CommonDatabase class defines the properties that are common across database model and vendor implementations for the database entity that is represented by the unit of interrelated data. Databases are manipulated through one or more database services. More detailed information on database services is provided in the description of the CIM_DatabaseService class.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_CommonDatabase

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

A database is a collection of interrelated data, treated as a unit, which is organized into one or more schemas. The CIM_CommonDatabase class defines the properties that are common across database model and vendor implementations for the database entity that is represented by the unit of interrelated data. Databases are manipulated through one or more database services. More detailed information on database services is provided in the description of the CIM_DatabaseService class.

UMLPackagePath | string | CIM::Database::System
Version | string | 2.19.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
DatabaseVersion | string |
Description | string | The version number for the database. If the version is not relevant, the value for this property must be set to NULL.
MappingStrings | string | MIB.IETF|RDBMS-MIB.rdbmsDbInfoVersion
InstanceID | string |

Description

string

Within the scope of the instantiating Namespace, InstanceID opaquely and uniquely identifies an instance of this class. In order to ensure uniqueness within the NameSpace, the value of InstanceID SHOULD be constructed using the following 'preferred' algorithm: <OrgID>:<LocalID> Where <OrgID> and <LocalID> are separated by a colon ':', and where <OrgID> MUST include a copyrighted, trademarked or otherwise unique name that is owned by the business entity creating/defining the InstanceID, or is a registered ID that is assigned to the business entity by a recognized global authority. (This is similar to the <Schema Name>_<Class Name> structure of Schema class names.) In addition, to ensure uniqueness <OrgID> MUST NOT contain a colon (':'). When using this algorithm, the first colon to appear in InstanceID MUST appear between <OrgID> and <LocalID>. <LocalID> is chosen by the business entity and SHOULD not be re-used to identify different underlying (real-world) elements. If the above 'preferred' algorithm is not used, the defining entity MUST assure that the resultant InstanceID is not re-used across any InstanceIDs produced by this or other providers for this instance's NameSpace. For DMTF defined instances, the 'preferred' algorithm MUST be used with the <OrgID> set to 'CIM'.

Key | boolean | true
Override | string | InstanceID
LastBackup | datetime |
Description | string | The date and time when the latest complete or partial backup of the database was performed. If the database has never been backed up, then this property has no meaning. The value of this property should be set to all zeros if the database has never been backed up.
MappingStrings | string | MIB.IETF|RDBMS-MIB.rdbmsDbInfoLastBackup
SizeAllocated | uint32 |
Description | string | The estimated amount of disk space (in units) that has been reserved for database use.
MappingStrings | string | MIB.IETF|RDBMS-MIB.rdbmsDbInfoSizeAllocated
SizeUnits | uint16 |
Description | string | The units for the SizeAllocated property and the SizeUsed property that is defined in the CIM_CommonDatabaseStatistics class. Mapping is 1 - Bytes, 2 - Kilobytes, 3 - Megabytes, 4 - Gigabytes and 5 - Terabytes.
MappingStrings | string | MIB.IETF|RDBMS-MIB.rdbmsDbInfoSizeUnits
ValueMap | string | 1, 2, 3, 4, 5
Values | string | Bytes, Kilobyes, Megabytes, Gigabytes, Terabytes

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
Name | string | CIM_ManagedSystemElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement